whit2 {ptw} | R Documentation

## Weighted Whittaker smoothing with a second order finite difference penalty

### Description

This function smoothes signals with a finite difference penalty of order 2.

### Usage

    whit2(y, lambda, w)

### Arguments

`y` | signal to be smoothed: a vector
`lambda` | smoothing parameter: larger values lead to more smoothing
`w` | weights: a vector of same length as y. Default weights are equal to one

### Value

smoothed signal: a vector

### Author(s)

Paul Eilers, Jan Gerretzen

### References

Eilers, P.H.C. (2004) "Parametric Time Warping", Analytical Chemistry, 76 (2), 404 – 411.

Eilers, P.H.C. (2003) "A perfect smoother", Analytical Chemistry, 75, 3631 – 3636.

### Examples

      data(gaschrom)
      plot(gaschrom[1,], type = "l", ylim = c(0, 100))
      lines(whit2(gaschrom[1,], lambda = 1e5), col = 2)
      lines(whit2(gaschrom[1,], lambda = 1e6), col = 3)
      lines(whit2(gaschrom[1,], lambda = 1e7), col = 4)

[Package ptw version 1.9-13 Index]